-- run black formatter on save
local black_on_save = vim.api.nvim_create_augroup('black_on_save', {
	clear = true })
vim.api.nvim_create_autocmd('BufWritePost', {
	pattern = '*.py',
	group = 'black_on_save',
	command = 'silent! !black -q <afile>',
})

-- run cargo fmt on save
local cargo_on_save = vim.api.nvim_create_augroup('cargo_on_save', {
	clear = true })
vim.api.nvim_create_autocmd('BufWritePost', {
	pattern = '*.rs',
	group = 'cargo_on_save',
	command = 'silent! !cargo fmt',
})
