vim.api.nvim_create_user_command('FRCbuild',
	function()
		if vim.api.nvim_buf_get_name(1):match("^.+(%..+)$") == '.py' then
			vim.cmd('!python3 robo1/robot.py sim')
		else
			vim.cmd('!gradle build')
			vim.cmd(':LspStop')
		end
	end,{})

vim.api.nvim_create_user_command('FRCdeploy',
	function()
		if vim.api.nvim_buf_get_name(1):match("^.+(%..+)$") == '.py' then
			vim.cmd('!python3 robo1/robot.py deploy')
		else
			vim.cmd('!gradle deploy')
		end
	end,{})
